import { baseRequest } from '@/utils/request'

const requestGUY = (url, ...arg) => baseRequest(`/auth/b/` + url, ...arg)
const requestTZG = (url, ...arg) => baseRequest(`/importantNews/` + url, ...arg)
const requestHOME = (url, ...arg) => baseRequest(`/homePage/` + url, ...arg)
const requestIMG = (url, ...arg) => baseRequest(`/homePage/hmimagenews/` + url, ...arg)

export function login (data) {
  return requestGUY('doLogin', data, 'post')
}
export function getlist (data) {
  return requestTZG('sinnoticeannouncement/page', data, 'get')
}
export function GWYlist (data) {
  return requestTZG('sinstatecouncilnotice/page', data, 'get')
}
export function QIHlist (data) {
  return requestTZG('sinqinghainews/page', data, 'get')
}
export function LSJUlist (data) {
  return requestTZG('singrainbureaunotice/page', data, 'get')
}
export function HOMElist (data) {
  return requestHOME('hmimagenews/page', data, 'get')
}
export function TZGGview (data) {
  return requestTZG('sinnoticeannouncement/detail', data, 'get')
}
export function LSJXXview (data) {
  return requestTZG('singrainbureaunotice/detail', data, 'get')
}
export function BACKGETview (data) {
  return requestHOME('/pbcontrol/page', data, 'get')
}

export function IMGXWdetail (data) {
  return requestIMG('detail', data, 'get')
}
